body {
  color: black;	
  font-family: Arial, "Trebuchet MS", sans-serif;
  margin-left: 1%;
  margin-right: 1%;
  margin-top: 0%;
  margin-bottom: 0.7%;
  line-height: 1.5;
  background: rgb(236,234,255);
}

body.etusivu {
  color: black;	
  font-family: Arial, "Trebuchet MS", sans-serif;;
  margin-left: 1%;
  margin-right: 1%;
  margin-top: 0%;
  margin-bottom: 0.7%;
}

body p {
  max-width: 75%;
}

.yhteystiedot {
  max-width: 75%;
  background-color: #EEA8E7;
  border-style: solid;
  border-width: medium;
  border-radius: 5px;
  color: #2211CE;	
  font-family: Arial, "Trebuchet MS", sans-serif;
  margin-left: 1%;
  margin-right: 1%;
  margin-top: 0%;
  margin-bottom: 0.7%;
  line-height: 1.5;
  height: fit-content;
  background: linear-gradient(65deg, rgba(250,186,246,0.12292249663537291) 25%, rgba(0,212,255,1) 100%); 
}

.yhteystiedot img {
  float: right;
}

h1 { 
  margin-left: 1em;
  margin-right: 1em;
  margin-top: 1em;
  margin-bottom: 1em;
}

h2 { 
  margin-left: 0.1em;
  margin-right: 1em;
  margin-top: 1em;
  margin-bottom: 1em;
}

.infolaatikko {
  background-color: rgb(200, 245, 200);
  border-color: rgb(14, 241, 90);
  border-radius: 25px;
  max-width: 75%;
  padding: 6px;
  box-shadow: 4px 5px 19px rgba(0, 0, 0, 0.3) inset;
  -webkit-box-shadow: 4px 5px 19px rgba(0, 0, 0, 0.3) inset;
  -moz-box-shadow: 4px 5px 19px rgba(0, 0, 0, 0.3) inset;
}

.infolaatikko p, h2, h3, h4 {
  margin: 10px;
  padding: 10px;
}

.tehtavalaatikko {
  background-color: aquamarine;
  border-color: aqua;
  border-radius: 25px;
  max-width: 75%;
  padding: 6px;
  box-shadow: 4px 15px 19px rgba(0, 0, 0, 0.3);
  -webkit-box-shadow: 4px 15px 19px rgba(0, 0, 0, 0.3);
  -moz-box-shadow: 4px 15px 19px rgba(0, 0, 0, 0.3);
}

.tehtavalaatikko p, h2, h3, h4 {
  margin: 10px;
  padding: 10px;
}

.video {
  max-width: 75%;
  background-color: lightyellow;
  border-color: black;
  border-radius: 25px;
  width: 50%;
  padding: 10px;
  box-shadow: 4px 5px 19px rgba(0, 0, 0, 0.3) inset;
  -webkit-box-shadow: 4px 5px 19px rgba(0, 0, 0, 0.3) inset;
  -moz-box-shadow: 4px 5px 19px rgba(0, 0, 0, 0.3) inset;
}

.video p {
  margin: 10px;
  padding: 10px;
}


p, li { 
  margin-left: 1em;
  line-height: 1.5;
  max-width: 75%;
}



.navbar {
  border-style: solid;
  border-width: thin;
  border-color: #2211CE;
  border-radius: 10px;
  width: 20%;
  position: fixed;
  top: 4.5em;
  right: 0.5em;
  box-shadow: 4px 15px 19px rgba(0, 0, 0, 0.3) inset;
  -webkit-box-shadow: 4px 15px 19px rgba(0, 0, 0, 0.3) inset;
  -moz-box-shadow: 4px 15px 19px rgba(0, 0, 0, 0.3) inset;
  margin-left: 0.5em;
  margin-right: 0.1em;
  margin-top: 0em;
  margin-bottom: 0.1em;
  background: rgb(236,46,244);
  background: linear-gradient(65deg, 
  rgba(0, 186, 250, 0.123) 25%, rgba(0,212,255,1) 100%); 
}

.navbartop {
  border-style: solid;
  border-radius: 5px;
  border-width: thin;
  border-color: #2211CE;
  background-color: #EEA8E7;
  padding-left: 0.5em;
  background: rgb(236,46,244);
  background: linear-gradient(65deg, rgba(250,186,246,0.12292249663537291) 25%, rgba(0,212,255,1) 100%); 
  box-shadow: 4px 15px 19px rgba(0, 0, 0, 0.3) inset;
  -webkit-box-shadow: 4px 15px 19px rgba(0, 0, 0, 0.3) inset;
  -moz-box-shadow: 4px 15px 19px rgba(0, 0, 0, 0.3) inset;
}

.logo {
  background: #e5b179;
  color: black;
  text-align: center;
  font-weight: bold;
  width: 15%; height: 3em;
  padding: 0em; margin: 0em;
  position: fixed;
  top: 100%; left: 0%;	
}

.navbartop ul li {
  display: inline;
  border-left: 2px solid;
  border-color: #2211CE;
  margin-left: 0.5em;
  padding-left: 0.5em;
}


.navbartop ul {
  padding-top: 0.4em;
  padding-bottom: 0.4em;
  padding-left: 0;
  margin-left: 0;
}

.navbartop ul li:first-child, .alataso ul li:first-child {
  border-left: 0;
  margin-left: 0;
  padding-left: 0;
}

.navbar ul {
  margin-left: 1em;
  padding-left: 0.5em;
}

a:link {
  color: blue;
}

a:visited {
  color: blue;
}

a:hover {
  background-color: #9D4ED6;
  color: white;
}

.navbartop a:link, .navbar a:link, .alataso a:link {
  text-decoration: underline;
  color: #0000CD;
}

.navbartop a:visited, .navbar a:visited, .alataso a:visited {
  text-decoration: none;
  color: #9932CC;
}


.video {
  text-align: left;
  border: none;
  margin: auto;  
}



.etusivukuva {
  border: none;
  text-align: left;
  margin-top: 1em;
  margin-bottom: 1em;
  margin-left: 2em;
}


.alataso {
  text-align:right;
  clear: both;
}

.alataso ul li {
  display: inline;
  padding-right: 0.4em;
}

.alataso a {
  padding-top: 0.3em;
  padding-bottom: 0.3em;
  padding-left: 0.3em;
  margin-bottom: 0.1em;
}

.alataso ul li:first-child {
  float: left;
}



table {
  border: medium solid #2211CE;
  top: 2%;
  left: 0%;
  right: 0%;
  position: relative;
}

th {
  font-weight: bolder;
}

td, tr, th {
  border-bottom:solid #2211CE;
  border-width: thin;
}

table th:first-child {
   border-left: none;
}


table td:first-child {
  border-top: none;
  font-weight: bold; 
}

table td {
  border-left: solid #2211CE;
  border-width: thin;
}

table tr:first-child {
  border-top: none;
  font-weight: bold; 
}

caption {
  font-weight: normal;
  font-size: 1.1em;
}

.flex {
  display: flex;
  flex-wrap: wrap;
/*     flex-direction: column;
  max-height: 500px;*/
}

.flex div {
float: left;
width: 250px;
height: 200px;
text-align: center;
font-weight: bolder;
clear: right;
margin: 1em;
position: relative;
  
}

.flex div p {
height: 1.5em;
text-align: center;
overflow: hidden;
margin: 0;
padding: 0;
font-size: 0.9em;
}


@media print {
.navbartop, .navbar {
  display: none;
}

body {
  background-color: white;
  color: black;	
  font-family: 'Times New Roman', sans-serif;
  margin-top: 0.5cm;
  margin-left: 0.5cm;
  margin-right: 0.5cm;
  margin-bottom: 0.5cm;
}

h1,h2,h3,h4 {
  page-break-before: avoid;
  page-break-inside: avoid;
}
.kuva {
  float: none;
  page-break-inside: avoid;
}

}

@media all and (max-width: 600px) {

img {
  max-width: 100%;
}

body {
  margin: 0;
  padding: 0;
}

.navbartop {    
 width: 100%;
 border: 0;
 margin: 0;
 padding: 0;
}

.navbar {
  position: inherit;
  top: 4.5em;
  right: 0.5em;
  width: 100%;
  border: 0;
  margin: 0;
  padding: 0;
 
}

.navbartop img {
 display: none;
}

.navbartop ul li {
  width: 100%;
  border: 0;
  margin: 0;
  padding: 0;
}

table, textarea, pre {
  max-width: 100%;
}

.yhteystiedot img {
  display: none;
}

h1 {
  font-size: 1.5em;
}
h2 {
  font-size: 1.2em;
}
h3 {
  font-size: 1.1em;
}
h4 {
 font-size: 1.05em;
}

} 